plaintiff:
- SUPER POWER PROPERTIES LIMITED
defendant:
- TANG HING CHEUNG
jurisdiction_code: HKDC
jurisdiction_name: District Court of the Hong Kong Special Administrative Region
case_location:
- 香港特別行政區
- Hong Kong Special Administrative Region
case_reason: >-
  Plaintiff, Super Power Properties Limited, claims to set aside a judgment entered in default on 10 February
  2009 against defendant, Tang Hing Cheung, regarding whether the writ was duly served through
case_object:
- service of writ
judgment_result:
- charge: Setting aside of judgment on 10 February 2009 (liability issue)
  result: Allowed. The court found that the service of the Writ was irregular and accepted the defendant's
    credible case that he had not received it, despite evidence to the contrary from the plaintiff.
judgment_summary: >-
  Super Power Properties Limited sued Tang Hing Cheung for setting aside a 2009 default judgment, disputing
  proper service of the writ. The court found that the service was irregular due to confusing letterbox
  numbers and lack of evidence proving delivery. Citing Po Kwong Marble Factory Ltd v Wah Yee Decoration
  Co Ltd [1996] 4 HKC 157, the judge allowed the setting aside of the judgment.
involved_entities:
- entity_name: Super Power Properties Limited
  reason: Plaintiff in the case.
- entity_name: Tang Hing Cheung
  reason: Defendant in the case.
- entity_name: Her Honour Judge Mimmie Chan
  reason: Presiding judge in this case, responsible for fact-finding and adjudication.
- entity_name: Mr Kent Yee
  reason: Counsel representing the Plaintiff.
- entity_name: Ms Bethany M.Y. Chan
  reason: Counsel representing the Defendant.
